<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PastParticipant extends \Google\Protobuf\Internal\Message
{
    


    protected $userJid = null;
    


    protected $leaveReason = null;
    


    protected $leaveTs = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUserJid()
    {
        return isset($this->userJid) ? $this->userJid : '';
    }

    public function hasUserJid()
    {
        return isset($this->userJid);
    }

    public function clearUserJid()
    {
        unset($this->userJid);
    }

    




    public function setUserJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->userJid = $var;

        return $this;
    }

    



    public function getLeaveReason()
    {
        return isset($this->leaveReason) ? $this->leaveReason : 0;
    }

    public function hasLeaveReason()
    {
        return isset($this->leaveReason);
    }

    public function clearLeaveReason()
    {
        unset($this->leaveReason);
    }

    




    public function setLeaveReason($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\PastParticipant\LeaveReason::class);
        $this->leaveReason = $var;

        return $this;
    }

    



    public function getLeaveTs()
    {
        return isset($this->leaveTs) ? $this->leaveTs : 0;
    }

    public function hasLeaveTs()
    {
        return isset($this->leaveTs);
    }

    public function clearLeaveTs()
    {
        unset($this->leaveTs);
    }

    




    public function setLeaveTs($var)
    {
        GPBUtil::checkUint64($var);
        $this->leaveTs = $var;

        return $this;
    }

}

